=== debian/changelog ===
termit (2.6.0-1) unstable; urgency=low

  * Initial release (Closes: #576409)

 -- Tomas Fasth <tomfa@debian.org>  Tue, 11 Jan 2011 16:39:12 +0100
