=== debian/control ===
Source: termit
Section: misc
Priority: optional
Maintainer: Tomas Fasth <tomfa@debian.org>
Build-Depends: cdbs, debhelper (>= 7.0.50~), cmake, libgtk2.0-dev, libvte-dev, liblua5.1-0-dev
Standards-Version: 3.8.4
Homepage: https://github.com/nonstop/termit/wiki
Vcs-Git: git://github.com/nonstop/termit.git
Vcs-Browser: https://github.com/nonstop/termit

Package: termit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Simple terminal emulator based on vte library, embedded lua
 Support features like multiple tabs, switching encodings, sessions,
 configurable keybindings, embedded Lua language and xterm-like dynamic
 window title
