=== po/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,11 @@
 SET(PO_FILES
+  de.po
+  es.po
   fr.po
   hu.po
+  ja.po
   ko.po
+  pl.po
   ru.po
   zh_TW.po)
