=== debian/changelog ===
termit (2.9.4-2) unstable; urgency=low

  * Resolved section disparity between package and override by
    changing section from misc to x11 in control file.

 -- Tomas Fasth <tomfa@debian.org>  Mon, 18 Jun 2012 02:04:50 +0200

termit (2.9.4-1) unstable; urgency=low

  * add watchfile
  * fix copyright lintian warning
  * switch from cdbs to debhelper
  * Do not install upstream's INSTALL
  * New upstream version 2.9.4 (Closes: #635514)
  * update policy version to 3.9.3
  * Set myself as maintainer
  * Machine readable copyright
  * correct VCS-* fields (Closes: #661466)
  * provide termit as alternative for x-terminal-emulator.
    Thanks to Nobuhiro Iwamatsu <iwamatsu@debian.org> (Closes: #617198)

 -- Thomas Koch <thomas@koch.ro>  Thu, 14 Jun 2012 20:08:18 +0200
