=== debian/control ===
Source: termit
Section: x11
Priority: optional
Maintainer: Thomas Koch <thomas@koch.ro>
Uploaders: Tomas fasth <tomfa@debian.org>
Build-Depends: debhelper (>= 8), cmake, libgtk2.0-dev, libvte-dev, liblua5.2-dev
Standards-Version: 3.9.3
Homepage: https://github.com/nonstop/termit/wiki
Vcs-Git: git://anonscm.debian.org/collab-maint/termit.git
Vcs-Browser: http://anonscm.debian.org/git/collab-maint/termit.git

Package: termit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: x-terminal-emulator
Description: Simple terminal emulator based on vte library, embedded lua
 Support features like multiple tabs, switching encodings, sessions,
 configurable keybindings, embedded Lua language and xterm-like dynamic
 window title
