=== debian/watch ===
version=3

https://github.com/nonstop/termit/tags \
 /nonstop/termit/tarball/termit-([\d\.]+)
