## termit 2.10.0-2

=== CMakeLists.txt ===
--- 
+++ 
@@ -36,7 +36,7 @@
 SET(XDG_DIR ${XDG_DIR} CACHE STRING "default xdg dir")
 
 SET(TERMIT_PACKAGE "termit")
-SET(TERMIT_PACKAGE_VERSION "2.9.4")
+SET(TERMIT_PACKAGE_VERSION "2.10.0")
 SET(TERMIT_LOCALE_DIR "${CMAKE_INSTALL_PREFIX}/share/locale")
 SET(TERMIT_XDG_DIR "${XDG_DIR}/termit")
 SET(TERMIT_PACKAGE_NAME "termit - terminal emulator")
@@ -66,6 +66,9 @@
   MESSAGE("Locales dir:......... ${TERMIT_LOCALE_DIR}")
 ENDIF(ENABLE_NLS)
 MESSAGE("Xdg dir:............. ${TERMIT_XDG_DIR}")
+message("Gtk:................. ${GTK_VERSION}")
+message("Vte:................. ${VTE_VERSION}")
+message("Lua:................. ${LUA_VERSION}")
 MESSAGE("Debug:............... ${DEBUG}")
-MESSAGE("\n")
+MESSAGE("")
