## termit 2.10.0-2-gb8280ed

=== debian/changelog ===
termit (2.10.0-2-gb8280ed-1) unstable; urgency=low

  [ Sascha Steinbiss ]
  * make notebook borders configurable

  [ Thomas Koch ]
  * clean utils/termit-*.ebuild independent of version
  * update standards-version to 3.9.5, no changes

  [ Evgeny Ratnikov ]
  * prevent building termit with incompatible Gtk and Vte versions
  * one setTabPos to replace moveLeft, moveRight
  * added support for --title option
  * changed -e option now it works similar to xterm all argument after -e option
    are passed to execvp so if you want to use it, be careful most of time it
    should be at the end of argument list
  * fixed compilation on OpenBSD

 -- Thomas Koch <thomas@koch.ro>  Sun, 13 Apr 2014 18:40:08 +0200

termit (2.9.6-1) experimental; urgency=low

  [ Thomas Koch ]
  * update standards-version to 3.9.4
  * better watch file.
    Thanks to Bart Martens <bartm@debian.org>
  * Fix VCS-Browser tag in debian/control (Closes: #693119)
  * rm obsolete patch: fix/build_with_lua52
  * correct debhelper version to align with compat to 9

 -- Thomas Koch <thomas@koch.ro>  Fri, 05 Apr 2013 20:12:23 +0200
