=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Thomas Koch <thomas@koch.ro>
 Uploaders: Tomas fasth <tomfa@debian.org>
-Build-Depends: debhelper (>= 8), cmake, libgtk2.0-dev, libvte-dev, liblua5.2-dev
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9), cmake, libgtk2.0-dev, libvte-dev, liblua5.2-dev
+Standards-Version: 3.9.5
 Homepage: https://github.com/nonstop/termit/wiki
 Vcs-Git: git://anonscm.debian.org/collab-maint/termit.git
-Vcs-Browser: http://anonscm.debian.org/git/collab-maint/termit.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/termit.git
 
 Package: termit
 Architecture: any
