## termit 3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,17 @@
-# Copyright (C) 2007-2010, Evgeny Ratnikov
+# Copyright © 2007-2016 Evgeny Ratnikov
 #
-# This file is part of termit.
-# termit is free software: you can redistribute it and/or modify
-# it under the terms of the GNU General Public License version 2 
-# as published by the Free Software Foundation.
-# termit is distributed in the hope that it will be useful,
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU General Public License for more details.
+#
 # You should have received a copy of the GNU General Public License
-# along with termit. If not, see <http://www.gnu.org/licenses/>.
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 PROJECT(TERMIT C)
 
@@ -36,7 +38,7 @@
 SET(XDG_DIR ${XDG_DIR} CACHE STRING "default xdg dir")
 
 SET(TERMIT_PACKAGE "termit")
-SET(TERMIT_PACKAGE_VERSION "2.10.0")
+SET(TERMIT_PACKAGE_VERSION "3.0.0")
 SET(TERMIT_LOCALE_DIR "${CMAKE_INSTALL_PREFIX}/share/locale")
 SET(TERMIT_XDG_DIR "${XDG_DIR}/termit")
 SET(TERMIT_PACKAGE_NAME "termit - terminal emulator")
