=== debian/changelog ===
termit (3.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Koch ]
  * update Standards-Version, no changes
  * update debhelper 9->12, use debhelper-compat
  * fix Lintian warning on d/copyright
  * correct SPDX id: s/GPL-3+/GPL-3.0+/

 -- Thomas Koch <thomas@koch.ro>  Sun, 29 Dec 2019 18:13:48 +0000

termit (3.0-1) unstable; urgency=low

  [ Thomas Koch ]
  * new upstream version 3.0
  * upstream license changed from GPL-2 to GPL-3+
  * breaking change: wordChars replaced with wordCharExceptions
  * breaking change: removed options imageFile, transparency, visibleBell
  * update standards-version to 3.9.8, no changes

 -- Thomas Koch <thomas@koch.ro>  Mon, 18 Jul 2016 22:26:38 +0200
