=== debian/control ===
--- 
+++ 
@@ -3,11 +3,16 @@
 Priority: optional
 Maintainer: Thomas Koch <thomas@koch.ro>
 Uploaders: Tomas fasth <tomfa@debian.org>
-Build-Depends: debhelper (>= 9), cmake, libgtk2.0-dev, libvte-dev, liblua5.2-dev
-Standards-Version: 3.9.5
+Build-Depends:
+ debhelper-compat (= 12),
+ cmake,
+ libgtk-3-dev,
+ liblua5.2-dev,
+ libvte-2.91-dev,
+Standards-Version: 4.4.1
 Homepage: https://github.com/nonstop/termit/wiki
-Vcs-Git: git://anonscm.debian.org/collab-maint/termit.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/termit.git
+Vcs-Git: https://salsa.debian.org/debian/termit.git
+Vcs-Browser: https://salsa.debian.org/debian/termit
 
 Package: termit
 Architecture: any
