## termit 3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -38,7 +38,7 @@
 SET(XDG_DIR ${XDG_DIR} CACHE STRING "default xdg dir")
 
 SET(TERMIT_PACKAGE "termit")
-SET(TERMIT_PACKAGE_VERSION "3.0.0")
+SET(TERMIT_PACKAGE_VERSION "3.1.0")
 SET(TERMIT_LOCALE_DIR "${CMAKE_INSTALL_PREFIX}/share/locale")
 SET(TERMIT_XDG_DIR "${XDG_DIR}/termit")
 SET(TERMIT_PACKAGE_NAME "termit - terminal emulator")
