=== doc/CMakeLists.txt ===
--- 
+++ 
@@ -18,5 +18,5 @@
 INSTALL(FILES ${TERMIT_DOCS} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/doc/${TERMIT_PACKAGE})
 INSTALL(FILES termit.1 DESTINATION ${CMAKE_INSTALL_PREFIX}/share/man/man1)
 INSTALL(FILES termit.desktop DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications)
-INSTALL(FILES termit.appdata.xml DESTINATION ${CMAKE_INSTALL_PREFIX}/share/appdata)
+INSTALL(FILES termit.metainfo.xml DESTINATION ${CMAKE_INSTALL_PREFIX}/share/metainfo)
