=== po/CMakeLists.txt ===
--- 
+++ 
@@ -59,5 +59,4 @@
   ADD_DEPENDENCIES(gmo pot)
 
   SET(TERMIT_DISTR_FILES "${POT_FILE} ${PO_FILES} CMakeLists.txt")
-  SET(ENV{QQ} $ENV{QQ} ${TERMIT_DISTR_FILES})
 ENDIF(NOT ENABLE_NLS)
