=== src/CMakeLists.txt ===
--- 
+++ 
@@ -19,8 +19,8 @@
 
 INCLUDE (FindPkgConfig)
 
-pkg_search_module(GTK REQUIRED gtk+-3.0>=3.18.9)
-pkg_search_module(VTE REQUIRED libvte>=0.42.5 vte>=0.42.5 vte-2.91>=0.42.5)
+pkg_search_module(GTK REQUIRED gtk+-3.0>=3.22)
+pkg_search_module(VTE REQUIRED libvte>=0.46 vte>=0.46 vte-2.91>=0.46)
 IF(NOT VTE_FOUND)
   message(FATAL_ERROR "Vte library was not found.")
 ENDIF(NOT VTE_FOUND)
@@ -28,13 +28,13 @@
 SET(LUA_VERSION "" CACHE STRING "Lua version")
 IF(LUA_VERSION STREQUAL "")
     IF(${CMAKE_SYSTEM_NAME} MATCHES "OpenBSD")
-       pkg_search_module(LUA REQUIRED lua53 lua52)
+       pkg_search_module(LUA REQUIRED lua53)
     ELSE(${CMAKE_SYSTEM_NAME} MATCHES "OpenBSD")
-       pkg_search_module(LUA REQUIRED lua>=5.2 lua5.3 lua5.2)
+       pkg_search_module(LUA REQUIRED lua>=5.3 lua5.3)
     ENDIF(${CMAKE_SYSTEM_NAME} MATCHES "OpenBSD")
 ELSE(LUA_VERSION STREQUAL "")
   pkg_search_module(LUA REQUIRED
-    lua=${LUA_VERSION} lua5.3=${LUA_VERSION} lua5.2=${LUA_VERSION})
+    lua=${LUA_VERSION} lua5.3=${LUA_VERSION})
 ENDIF(LUA_VERSION STREQUAL "")
 IF(NOT LUA_FOUND)
   message(FATAL_ERROR "Lua library was not found.")
@@ -65,7 +65,7 @@
 ADD_EXECUTABLE(${TARGET} ${TERMIT_SRCS})
 
 IF(${CMAKE_SYSTEM_NAME} MATCHES "OpenBSD")
-    SET(TERMIT_LDFLAGS"-llua5.2")
+    SET(TERMIT_LDFLAGS"-llua5.3")
 ELSE(${CMAKE_SYSTEM_NAME} MATCHES "OpenBSD")
     SET(TERMIT_LDFLAGS "-ldl -lm")
 ENDIF(${CMAKE_SYSTEM_NAME} MATCHES "OpenBSD")
