=== debian/changelog ===
termit (3.1-3build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:23:12 +1100

termit (3.1-3build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 07:06:48 +0000

termit (3.1-3) unstable; urgency=medium

  * Fix FTBS when building with pkgconf (Closes: #987953, #1026519).
  * Bump to Standards-Version 4.6.2 (no changes required).

 -- Marcos Fouces <marcos@debian.org>  Fri, 30 Dec 2022 23:31:00 +0100

termit (3.1-2) unstable; urgency=medium

  * Adopt the package (Closes:#1019014).
  * Add hardening options.
  * Fix copyright issues and add new holders.
  * Add Rules-Requires-Root: no stanza in d/control.
  * Bump watch file compatibility level to 4.
  * Bump debhelper-compat to 13.
  * Add upstream metadata.
  * Bump to Standards-Version 4.6.1 (no changes required).

 -- Marcos Fouces <marcos@debian.org>  Fri, 09 Sep 2022 18:14:34 +0200

termit (3.1-1) unstable; urgency=medium

  * New upstream version
  * update Standards-Version, 4.4->4.5, no changes

 -- Thomas Koch <thomas@koch.ro>  Thu, 20 Feb 2020 13:19:15 +0000
