=== debian/control ===
Source: termit
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Marcos Fouces <marcos@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 libgtk-3-dev,
 liblua5.3-dev,
 libvte-2.91-dev,
Standards-Version: 4.6.2
Homepage: https://github.com/nonstop/termit/wiki
Vcs-Git: https://salsa.debian.org/debian/termit.git
Vcs-Browser: https://salsa.debian.org/debian/termit
Rules-Requires-Root: no

Package: termit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: x-terminal-emulator
Description: Simple terminal emulator based on vte library, embedded Lua
 Support features like multiple tabs, switching encodings, sessions,
 configurable keybindings, embedded Lua language and xterm-like dynamic
 window title
