=== etc/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright © 2007-2016 Evgeny Ratnikov
+# Copyright © 2007-2023 Evgeny Ratnikov
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
