=== po/CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,13 @@
 SET(PO_FILES
+  ca.po
+  da.po
   de.po
   es.po
   fr.po
   hu.po
   ja.po
   ko.po
+  nl.po
   pl.po
   ru.po
   sv.po
@@ -60,3 +63,4 @@
 
   SET(TERMIT_DISTR_FILES "${POT_FILE} ${PO_FILES} CMakeLists.txt")
 ENDIF(NOT ENABLE_NLS)
+
