=== debian/changelog ===
termit (3.2-1) unstable; urgency=medium

  * New upstream version 3.2
  * Remove 01-fix_TERMIT_CFLAGS.patch as it was applied upstream.
  * Update Build-Depends package version (liblua5.3-dev -> liblua5.4-dev).
  * Fix filename in d/docs.
  * Fix use of deprecated tag in termit.metainfo.xml.
  * Bump to Standards-Version 4.7.2 (no changes required).
  * Update copyright dates.

 -- Marcos Fouces <marcos@debian.org>  Fri, 19 Sep 2025 23:01:12 +0200
