=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: termit
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Marcos Fouces <marcos@debian.org>
+Maintainer: Marcos Fouces <marcos@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  cmake,
  libgtk-3-dev,
- liblua5.3-dev,
+ liblua5.4-dev,
  libvte-2.91-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/nonstop/termit/wiki
 Vcs-Git: https://salsa.debian.org/debian/termit.git
 Vcs-Browser: https://salsa.debian.org/debian/termit
