=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 DOCDIR=debian/termit/usr/share/doc/termit
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@
